# Uses of Class
org.apache.lucene.index.Impact

Packages that use Impact
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of Impact in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return types with arguments of type Impact
  Modifier and Type
  Method
  Description
  `List<Impact>`
  CompetitiveImpactAccumulator.`getCompetitiveFreqNormPairs()`
  Get the set of competitive freq and norm pairs, ordered by increasing freq and norm.

- ## Uses of Impact in org.apache.lucene.index

  Methods in org.apache.lucene.index that return types with arguments of type Impact
  Modifier and Type
  Method
  Description
  `abstract List<Impact>`
  Impacts.`getImpacts(int level)`
  Return impacts on the given level.